Skip to main content
GET
Get API key details

Authorizations

Authorization
string
header
required

JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.

Path Parameters

id
string<uuid>
required

The unique identifier of the API key.

Response

Success response

id
string
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

created_at
string<date-time>
required
Example:

"2023-10-01T12:00:00Z"

masked_key_value
string
required
Example:

"key_123xxxx"

scopes
enum<string>[]
required

A list of scopes that the API key will have access to.

Minimum array length: 1
Available options:
pci:tokens:create,
pci:tokens:read,
pci:tokens:update,
pci:tokens:delete,
pci:tokens:forward,
generic:tokens:create,
generic:tokens:read,
generic:tokens:delete,
network:tokens:create,
network:tokens:read,
network:tokens:delete,
network:tokens:use,
network:tokens:forward,
wallet:tokens:create,
wallet:tokens:read,
wallet:tokens:delete,
wallet:tokens:forward,
wallet:apple-pay:sessions:create,
wallet:apple-pay:settings:read,
wallet:apple-pay:settings:update,
wallet:apple-pay:trust-anchors:read,
wallet:apple-pay:trust-anchors:update,
wallet:apple-pay:certificates:create,
wallet:apple-pay:certificates:read,
wallet:apple-pay:certificates:update,
wallet:apple-pay:certificates:delete,
wallet:apple-pay:domains:create,
wallet:apple-pay:domains:read,
wallet:apple-pay:domains:update,
wallet:apple-pay:domains:delete,
metadata:inquiries:create,
admin:api-keys:create,
admin:api-keys:read,
admin:api-keys:update,
admin:api-keys:delete,
admin:webhooks:create,
admin:webhooks:read,
admin:webhooks:delete,
admin:types:create,
admin:types:read,
admin:types:delete,
admin:imports:create,
admin:imports:read,
admin:imports:cancel
expires_at
string<date-time>
Example:

"2027-01-01T00:00:00Z"